#include <iostream>

using namespace std;

int main()
{
    int N;
    int K;
    cin>>N;
    cin>>K;
    int pogodjena_polja[N];
    int zamenenjena_polja[N];
    int brojac = 0;
    int brojac_zamena = 0;
    for(int i =0;i<N;i++)
    {
        cin>>pogodjena_polja[i];
    }
    for(int i =0;i<N;i++)
    {
        for(int j=i+1;j<N;j++)
        {
            if(pogodjena_polja[i]==pogodjena_polja[j])
            {
                brojac++;
            }
            if(brojac + 1 == K)
            {
                zamenenjena_polja[brojac_zamena]=pogodjena_polja[i];
                brojac_zamena++;
                brojac =0;
                break;
            }

        }
    }
    int brojac1=brojac_zamena;
    for(int i =0;i<brojac1;i++)
    {
        for(int j =i+1;j<brojac1;j++)
        {
            if(zamenenjena_polja[i]==zamenenjena_polja[j])
            {
                brojac_zamena--;
            }
        }
    }
    cout<<"Ovoliko polja treba da se promeni: "<<brojac_zamena<<endl;
    for(int i =0;i<brojac_zamena;i++)
    {
        cout<<zamenenjena_polja[i]<<" ";
    }

    return 0;
}